# ListItemPremiumClassifications

Retrieve premium classification for an item based on its `companyId` and `itemCode`.

`GET /api/v2/companies/{companyId}/items/{itemCode}/premiumClassifications`

**API:** AvaTax API
**Tag:** Items
**API Version:** v2
**Base URL:** https://sandbox-rest.avatax.com/
**Accepts:** `application/json`
**Authentication:** API Key (`Authorization` in header) or OAuth 2.0 or Basic (username + license key)

Source: https://developer.avalara.com/products/crossborder/api/methods/Items/ListItemPremiumClassifications/

## Description

Retrieve the premium classification for an Item based on its `itemCode` and `companyId`.
            
NOTE: If your item code contains any of these characters /, +, ?,",' ,% or #, please use the following encoding before making a request:
* Replace '/' with '\_-ava2f-\_'  For example: 'Item/Code' becomes 'Item_-ava2f-_Code'
* Replace '+' with '\_-ava2b-\_'  For example: 'Item+Code' becomes 'Item_-ava2b-_Code'
* Replace '?' with '\_-ava3f-\_'  For example: 'Item?Code' becomes 'Item_-ava3f-_Code'
* Replace '%' with '\_-ava25-\_'  For example: 'Item%Code' becomes 'Item_-ava25-_Code'
* Replace '#' with '\_-ava23-\_'  For example: 'Item#Code' becomes 'Item_-ava23-_Code'
* Replace ''' with '\_-ava27-\_'  For example: 'Item'Code' becomes 'Item_-ava27-_Code'
* Replace '"' with '\_-ava22-\_'  For example: 'Item"Code' becomes 'Item_-ava22-_Code'

### Security Policies

* This API requires one of the following user roles: AccountAdmin, AccountOperator, AccountUser, AvaTaxOnlyAccountAdmin, AvaTaxOnlyAccountUser, AvaTaxOnlyCompanyAdmin, AvaTaxOnlyCompanyUser, BatchServiceAdmin, CompanyAdmin, CompanyUser, CSPAdmin, CSPTester, ReturnsOnlyAccountAdmin, ReturnsOnlyAccountUser, ReturnsOnlyCompanyAdmin, ReturnsOnlyCompanyUser, SiteAdmin, SSTAdmin, SystemAdmin, TechnicalSupportAdmin, TechnicalSupportUser.

## Parameters

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `companyId` | integer | path | Yes | The ID of the company that owns this item object. |
| `itemCode` | string | path | Yes | The item code of the item for which you want to retrieve premium classification. |
| `$filter` | string | query | No | A filter statement to identify specific records to retrieve.  For more information on filtering, see [Filtering in REST](http://developer.avalara.com/avatax/filtering-in-rest/).*Not filterable:* HsCode, justification, createdDate, createdUserId |
| `$skip` | integer | query | No | If nonzero, skip this number of results before returning data.  Used with `$top` to provide pagination for large datasets. |
| `$orderBy` | string | query | No | A comma separated list of sort statements in the format `(fieldname) [ASC|DESC]`, for example `id ASC`. |
| `$top` | integer | query | No | If nonzero, return no more than this number of results.  Used with `$skip` to provide pagination for large datasets.  Unless otherwise specified, the maximum number of records that can be returned from an API call is 1,000 records. |
| `X-Avalara-Client` | string | header | No | Identifies the software you are using to call this API.  For more information on the client header, see [Client Headers](https://developer.avalara.com/avatax/client-headers/) . |

## Responses

| Status | Description | Schema |
|---|---|---|
| 200 | Success | `ItemPremiumClassificationOutputModelFetchResult` |
| 400 | Bad Request |  |
| 401 | Unauthorized |  |
| 404 | Not Found |  |

### 200 Response: `ItemPremiumClassificationOutputModelFetchResult`

| Property | Type | Required | Description |
|---|---|---|---|
| `@recordsetCount` | integer | No |  |
| `value` | ItemPremiumClassificationOutputModel[] | No |  |
| `@nextLink` | string | No |  |
| `pageKey` | string | No |  |

## Example Request

```bash
curl -X GET "https://sandbox-rest.avatax.com/api/v2/companies/{companyId}/items/{itemCode}/premiumClassifications" \
  -H "Authorization: Basic <credentials>" \
  -H "Accept: application/json"
```